checkRequire("Lua_MarketBusinessPanel"); -- 交易市場
checkRequire("Lua_MarketMinePanel"); -- 上架物品
checkRequire("Lua_MarketRecordPanel"); -- 交易記錄
Lua_MarketWindow = class("Lua_MarketWindow", Lua_FullSizeTabBaseWindow);
function Lua_MarketWindow:ctor()
	local arr = Array();
	arr:add({name = LanUtil.getValue(121700), panel = Lua_MarketBusinessPanel, titleAltas = "titleName_altas_1", titleSprite = "shichang"});
	arr:add({name = LanUtil.getValue(121701), eventIds = {10402}, panel = Lua_MarketMinePanel, titleAltas = "titleName_altas_1", titleSprite = "shichang"});
	arr:add({name = LanUtil.getValue(121702), eventIds = {10401}, panel = Lua_MarketRecordPanel, titleAltas = "titleName_altas_1", titleSprite = "shichang"});
	self.showMarketMoney = 1;

	self:superCall("ctor", arr);
	self.windowName = "Lua_MarketWindow";
end

function Lua_MarketWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self.btnListBg = UICreate.createUIAtlasImage(self.content, "common_atlas_1", "ui_common_widget_01", -500, -31, 250, 600);
	self.btnListBg.name = "btnListBg";
	self.btnListBg:setDepth(1);

	self.btnList = Lua_ButtonList.new(self.content, self.tabNames, 68, self, self.onBtnClick,
		"ui_common_btn_01", "ui_common_btn_p1", Vector4(0, 0, 212, 66), Vector4(0, 0, 212, 66),
		Lua_ColorDefine.transColor("FFFFFF"), Lua_ColorDefine.transColor("D2D8DC"), Vector4(28, 28, 160, 30), 1, "common_atlas_1");
	self.btnList:setDepth(4);
	self.btnList:setLocation(-500, 222, 0);
	self.btnList:setRedDotPos(93, 21);
	self.btnList:setSelected(1, true);

	Lua_ProxyManager.getProxy("Lua_MarketProxy"):sMineShelvesInfo(); -- 上架
	Lua_ProxyManager.getProxy("Lua_MarketProxy"):sMarketRecordsInfo(); -- 交易记录
end

function Lua_MarketWindow:dispose()
	if self.btnListBg ~= nil then
		self.btnListBg:dispose();
		self.btnListBg = nil;
	end
	if self.btnList ~= nil then
		self.btnList:dispose();
		self.btnList = nil;
	end
	self:superCall("dispose");
end